ParseTree(3)

NAME
ParseTree - Various functions for tree-based Genetic Programming.

  Classes
class eoParseTree< FType, Node >
Implementation of parse-tree for genetic programming.
class eoParseTreeDepthInit< FType, Node >
eoParseTreeDepthInit : the initializer class for eoParseTree
class eoSubtreeXOver< FType, Node >
eoSubtreeXOver --> subtree xover
class eoBranchMutation< FType, Node >
eoBranchMutation --> replace a subtree with a randomly created subtree
class eoPointMutation< FType, Node >
eoPointMutation --> replace a Node with a Node of the same arity
class eoExpansionMutation< FType, Node >
eoExpansionMutation --> replace a terminal with a randomly created subtree
class eoCollapseSubtreeMutation< FType, Node >
eoCollapseSubtree --> replace a subtree with a randomly chosen terminal
class eoHoistMutation< FType, Node >
eoHoistMutation --> replace the individual with one of its subtree's

  Functions
template<class FType, class Node> void eoInitRampedHalfAndHalf (eoPop< eoParseTree< FType, Node > > &pop, unsigned int population_size, unsigned int init_max_depth, std::vector< Node > &initializor)
A template function for ramped half and half initialization of an eoParseTree population.

Detailed Description

Various functions for tree-based Genetic Programming.

Function Documentation

  template<class FType, class Node> void eoInitRampedHalfAndHalf (eoPop< eoParseTree< FType, Node > > & pop, unsigned int population_size, unsigned int init_max_depth, std::vector< Node > & initializor)

A template function for ramped half and half initialization of an eoParseTree population.

Parameters:
    pop the population to be created
    population_size the size of the population to be created
    init_max_depth the initial maximum tree depth
    initializor A std::vector containing the possible nodes

Definition at line 179 of file eoParseTreeDepthInit.h.